File Management
ListSiteFiles retrieves all site files associated with a given site ID.
Optional filters can be applied to narrow down the results.
get
Authorizations
authorizationstringRequired
JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'
Query parameters
siteIdinteger · uint64Optional
Required.
idsinteger · uint64[]Optional
If provided, filtered on ids.
includeDatabooleanOptional
deprecated // If provided, includes data in response
pagination.offsetinteger · int64Optional
pagination.limitinteger · int64Optional
pagination.totalCountinteger · int64Optional
pagination.ordering.fieldNamestringOptional
pagination.ordering.descendingbooleanOptional
Responses
200
A successful response.
application/json
default
An unexpected error response.
application/json
get
/gateway/v1/site-fileUpdate site file, including sources, sinks or transforms. Equaivalent of
patch. Only given fields are updated.
patch
Authorizations
authorizationstringRequired
JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'
Body
Responses
200
A successful response.
application/json
default
An unexpected error response.
application/json
patch
/gateway/v1/site-fileAuthorizations
authorizationstringRequired
JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'
Path parameters
siteIdinteger · uint64Required
ID of the site that owns the file
siteFileIdinteger · uint64Required
ID of the file to delete
Responses
200
File deleted successfully
application/json
codestring · enumOptionalDefault:
OKPossible values: errorMessagestringOptional
Message.
userMessageCodestring · enumOptionalDefault:
DEFAULTPossible values: 404
File or site not found
500
Internal server error
delete
/gateway/v1/site-file/{siteId}/{siteFileId}Last updated
Was this helpful?

